package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderAggregateRequest struct {
	/*
	   系统自动生成     */
	OrderAggregateQueryRequest *domain.AlibabaWdkOrderAggregateOrderAggregateQueryRequest `json:"order_aggregate_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkOrderAggregateRequest) SetOrderAggregateQueryRequest(v domain.AlibabaWdkOrderAggregateOrderAggregateQueryRequest) *AlibabaWdkOrderAggregateRequest {
	s.OrderAggregateQueryRequest = &v
	return s
}

func (req *AlibabaWdkOrderAggregateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderAggregateQueryRequest != nil {
		paramMap["order_aggregate_query_request"] = util.ConvertStruct(*req.OrderAggregateQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkOrderAggregateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
